> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaleidoswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Assets

> Get all RGB assets supported by the platform



## OpenAPI

````yaml /openapi.json get /api/v1/market/assets
openapi: 3.1.0
info:
  title: Kaleidoswap RGB-LSP API
  description: API for managing swaps and channels
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/market/assets:
    get:
      tags:
        - market
      summary: List Assets
      operationId: list_assets_api_v1_market_assets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetsResponse'
      x-codeSamples:
        - lang: javascript
          label: TypeScript SDK
          source: |-
            import { KaleidoClient } from 'kaleido-sdk';

            const client = new KaleidoClient({
              baseUrl: 'https://api.staging.kaleidoswap.com/api/v1'
            });

            const assets = await client.listAssets();
            console.log(`Found ${assets.assets.length} assets`);
        - lang: python
          label: Python SDK
          source: |-
            import asyncio
            from kaleido_sdk import KaleidoClient

            async def main():
                async with KaleidoClient(
                    api_url="https://api.staging.kaleidoswap.com/api/v1"
                ) as client:
                    assets = await client.list_assets()
                    print(f"Found {len(assets.assets)} assets")

            asyncio.run(main())
components:
  schemas:
    AssetsResponse:
      properties:
        assets:
          items:
            $ref: '#/components/schemas/ClientAsset'
          type: array
          title: Assets
        network:
          type: string
          title: Network
          default: regtest
        timestamp:
          anyOf:
            - type: integer
            - type: 'null'
          title: Timestamp
      type: object
      required:
        - assets
      title: AssetsResponse
    ClientAsset:
      properties:
        asset_id:
          type: string
          title: Asset Id
          example: rgb:2dkSTbr-jFhznbPmo-TQafzswCN-av4gTsJjX-ttx6CNou5-M98k8Zd
        ticker:
          type: string
          title: Ticker
          example: USDT
        name:
          type: string
          title: Name
          example: Tether
        details:
          anyOf:
            - type: string
            - type: 'null'
          title: Details
          example: asset details
        precision:
          type: integer
          title: Precision
          example: 0
        issued_supply:
          type: integer
          title: Issued Supply
          example: 777
        timestamp:
          type: integer
          title: Timestamp
          example: 1691160565
        added_at:
          type: integer
          title: Added At
          example: 1691161979
        balance:
          $ref: '#/components/schemas/AssetBalanceResponse'
        media:
          anyOf:
            - $ref: '#/components/schemas/Media'
            - type: 'null'
        asset_iface:
          anyOf:
            - $ref: '#/components/schemas/AssetIface'
            - type: 'null'
        is_active:
          type: boolean
          title: Is Active
          default: true
      type: object
      required:
        - asset_id
        - ticker
        - name
        - precision
        - issued_supply
        - timestamp
        - added_at
        - balance
      title: ClientAsset
    AssetBalanceResponse:
      properties:
        settled:
          type: integer
          title: Settled
          example: 777
        future:
          type: integer
          title: Future
          example: 777
        spendable:
          type: integer
          title: Spendable
          example: 777
        offchain_outbound:
          type: integer
          title: Offchain Outbound
          example: 444
        offchain_inbound:
          type: integer
          title: Offchain Inbound
          example: 0
      type: object
      required:
        - settled
        - future
        - spendable
        - offchain_outbound
        - offchain_inbound
      title: AssetBalanceResponse
    Media:
      properties:
        file_path:
          type: string
          title: File Path
          example: /path/to/media
        digest:
          type: string
          title: Digest
          example: 5891b5b522d5df086d0ff0b110fbd9d21bb4fc7163af34d08286a2e846f6be03
        mime:
          type: string
          title: Mime
          example: text/plain
      type: object
      required:
        - file_path
        - digest
        - mime
      title: Media
    AssetIface:
      type: string
      enum:
        - RGB20
        - RGB21
        - RGB25
      title: AssetIface

````